Bug 462743 - libata: rmmod pata_sil680 never returns from ata_port_detach
libata: rmmod pata_sil680 never returns from ata_port_detach
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
high Severity medium
: beta
: ---
Assigned To: David Milburn
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-18 13:08 EDT by David Milburn
Modified: 2009-01-20 14:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 14:50:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix rmmod hang (609 bytes, patch)
2008-09-18 13:09 EDT, David Milburn
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 11:06:24 EST

  None (edit)
Description David Milburn 2008-09-18 13:08:46 EDT
Description of problem:

When removing sata driver ata_port_detach uses cancel_rearming_delayed_work()
which may spin in cancel_rearming_delayed_workqueue if there is no pending
timer to deactivate.

Version-Release number of selected component (if applicable):

2.6.18-115.el5

How reproducible:

Frequent

Steps to Reproduce:
1. Boot system
2. rmmod pata_sil680
3.
  
Actual results:

Never returns from rmmod

Expected results:

Driver unloads properly


Additional info:
Comment 1 David Milburn 2008-09-18 13:09:48 EDT
Created attachment 317098 [details]
Patch to fix rmmod hang
Comment 2 RHEL Product and Program Management 2008-09-18 13:35:52 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Don Zickus 2008-10-06 11:56:22 EDT
in kernel-2.6.18-118.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 7 errata-xmlrpc 2009-01-20 14:50:51 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.